Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 460486 - dev-python/qscintilla-python-2.7: convert to python-r1
Summary: dev-python/qscintilla-python-2.7: convert to python-r1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: python-r1-tracker
  Show dependency tree
 
Reported: 2013-03-06 08:11 UTC by iGentoo
Modified: 2013-03-10 17:45 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
qscintilla-python-2.7.ebuild.diff (qscintilla-python-2.7.ebuild.diff,1.95 KB, patch)
2013-03-06 08:11 UTC, iGentoo
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description iGentoo 2013-03-06 08:11:03 UTC
Created attachment 341078 [details, diff]
qscintilla-python-2.7.ebuild.diff

Attaching a patch.
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2013-03-06 11:50:14 UTC
I'd drop the 'building' sub-function and just inline the emake call into foreach_impl.

  python_foreach_impl run_in_build_dir emake CC=...

Other than that, looks ok.
Comment 2 Davide Pesavento gentoo-dev 2013-03-08 03:38:18 UTC
Have you actually tested it with python3.3?
Comment 3 iGentoo 2013-03-08 13:22:04 UTC
(In reply to comment #2)
> Have you actually tested it with python3.3?

Yes, I have. Anything wrong?
Comment 4 Davide Pesavento gentoo-dev 2013-03-09 11:15:12 UTC
Nothing wrong, I just wanted to make sure that you didn't add it blindly...
Comment 5 Michael Palimaka (kensington) gentoo-dev 2013-03-10 17:45:42 UTC
Thanks, fixed in CVS.

I ended up keeping the 'building' subfunction because inlining made the line too long.

+  10 Mar 2013; Michael Palimaka <kensington@gentoo.org>
+  +qscintilla-python-2.7.1.ebuild:
+  Version bump wrt bug #460934. Migrate to python-r1 thanks to Alphat-PC
+  <AlphatPC@gmail.com> in bug #460486.